﻿@keyframes loader {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        border-radius: 50%;
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes loader {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        border-radius: 50%;
        -webkit-transform: rotate(360deg);
    }
}

@-webkit-keyframes swing {
    0%, 30%, 50%, 70%, 100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    10% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }

    40% {
        -webkit-transform: rotate(-10deg);
        transform: rotate(-10deg);
    }

    60% {
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    80% {
        -webkit-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }
}

@keyframes swing {
    0%, 30%, 50%, 70%, 100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    10% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }

    40% {
        -webkit-transform: rotate(-10deg);
        transform: rotate(-10deg);
    }

    60% {
        -webkit-transform: rotate(5deg);
        transform: rotate(5deg);
    }

    80% {
        -webkit-transform: rotate(-5deg);
        transform: rotate(-5deg);
    }
}

@-webkit-keyframes sonar {
    0% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }
}

@keyframes sonar {
    0% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }
}

.sidebar-wrapper {
    width: 280px;
    height: 100%;
    max-height: 100%;
    position: fixed;
    top: 0;
    left: -280px;
    z-index: 999;
    -webkit-transition: left .3s ease, width .3s ease;
    transition: left .3s ease, width .3s ease;
}

    .sidebar-wrapper ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }

    .sidebar-wrapper a {
        text-decoration: none;
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
    }

    .sidebar-wrapper .sidebar-item {
        -webkit-transition: all .3s linear;
        transition: all .3s linear;
    }

    .sidebar-wrapper .sidebar-content {
        max-height: calc(100% -35px);
        height: calc(100% - 35px);
        overflow-y: scroll;
        position: relative;
    }

        .sidebar-wrapper .sidebar-content.desktop {
            overflow-y: hidden;
        }

    .sidebar-wrapper .badge {
        border-radius: 0;
    }

.sidebar-bg .sidebar-wrapper {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

    .sidebar-bg .sidebar-wrapper:before {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }

.sidebar-wrapper .sidebar-brand {
    padding: 1rem 1.2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 55px;
}

    .sidebar-wrapper .sidebar-brand > a {
        text-transform: uppercase;
        font-weight: bold;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

.sidebar-wrapper .sidebar-header {
    padding: 20px;
    overflow: hidden;
}

    .sidebar-wrapper .sidebar-header .user-pic {
        width: 60px;
        padding: 2px;
        margin-right: 15px;
        overflow: hidden;
    }

        .sidebar-wrapper .sidebar-header .user-pic img {
            -o-object-fit: cover;
            object-fit: cover;
            height: 100%;
            width: 100%;
        }

    .sidebar-wrapper .sidebar-header .user-info {
        overflow: hidden;
    }

        .sidebar-wrapper .sidebar-header .user-info > span {
            display: block;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .sidebar-wrapper .sidebar-header .user-info .user-role {
            font-size: 12px;
        }

        .sidebar-wrapper .sidebar-header .user-info .user-status {
            font-size: 11px;
            margin-top: 4px;
        }

            .sidebar-wrapper .sidebar-header .user-info .user-status i {
                font-size: 8px;
                margin-right: 4px;
                color: #5cb85c;
            }

.sidebar-wrapper .sidebar-search > div {
    padding: 1rem 1.2rem;
}

.sidebar-wrapper .sidebar-search input {
    border-radius: 0;
}

.sidebar-wrapper .sidebar-search .input-group {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
}

.sidebar-wrapper .sidebar-search .input-group-append .input-group-text {
    border-radius: 0;
    border-left: 0;
}

.sidebar-wrapper .sidebar-menu {
    padding-bottom: 10px;
}

    .sidebar-wrapper .sidebar-menu .header-menu span {
        font-weight: bold;
        font-size: 14px;
        padding: 15px 20px 5px 20px;
        display: inline-block;
    }

    .sidebar-wrapper .sidebar-menu ul li a {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        text-decoration: none;
        position: relative;
        padding: 8px 30px 8px 20px;
        width: 100%;
    }

        .sidebar-wrapper .sidebar-menu ul li a:hover > i::before {
            display: inline-block;
            -webkit-animation: swing ease-in-out .5s 1 alternate;
            animation: swing ease-in-out .5s 1 alternate;
        }

        .sidebar-wrapper .sidebar-menu ul li a i {
            margin-right: 10px;
            font-size: 12px;
            width: 35px;
            height: 35px;
            line-height: 35px;
            text-align: center;
            -ms-flex-negative: 0;
            flex-shrink: 0;
        }

        .sidebar-wrapper .sidebar-menu ul li a .menu-text {
            -webkit-box-flex: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
            white-space: nowrap;
            text-overflow: ellipsis;
            -ms-flex-negative: 1;
            flex-shrink: 1;
            overflow: hidden;
        }

    .sidebar-wrapper .sidebar-menu .sidebar-dropdown > a:after {
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: "\f105";
        display: inline-block;
        font-style: normal;
        font-variant: normal;
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-align: center;
        background: 0 0;
        position: absolute;
        right: 15px;
        top: 14px;
        -webkit-transition: -webkit-transform .3s ease;
        transition: -webkit-transform .3s ease;
        transition: transform .3s ease;
        transition: transform .3s ease, -webkit-transform .3s ease;
    }

    .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu {
        display: none;
    }

        .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu ul {
            padding: 5px 0;
        }

        .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li {
            padding-left: 15px;
            font-size: 13px;
            text-decoration: none;
        }

            .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a {
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;
            }

                .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before {
                    /*  content: "\f111";*/
                    font-family: "Font Awesome 5 Free";
                    font-weight: 400;
                    font-style: normal;
                    display: inline-block;
                    text-align: center;
                    text-decoration: none;
                    -webkit-font-smoothing: antialiased;
                    -moz-osx-font-smoothing: grayscale;
                    margin-right: 10px;
                    font-size: 8px;
                }

                .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .badge,
                .sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .label {
                    margin-left: auto;
                }

    .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active > a:after {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
        right: 15px;
    }

.sidebar-wrapper .sidebar-footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

    .sidebar-wrapper .sidebar-footer > div {
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        text-align: center;
        height: 35px;
        line-height: 35px;
        position: static;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

        .sidebar-wrapper .sidebar-footer > div > a {
            -webkit-box-flex: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
        }

        .sidebar-wrapper .sidebar-footer > div a .notification {
            position: absolute;
            top: 0;
        }

        .sidebar-wrapper .sidebar-footer > div.pinned-footer {
            display: none;
        }

    .sidebar-wrapper .sidebar-footer .dropdown-menu {
        bottom: 36px;
        left: 0 !important;
        top: initial !important;
        right: 0;
        -webkit-transform: none !important;
        transform: none !important;
        border-radius: 0;
        font-size: .9rem;
    }

    .sidebar-wrapper .sidebar-footer .messages .dropdown-item {
        padding: .25rem 1rem;
    }

    .sidebar-wrapper .sidebar-footer .messages .messages-header {
        padding: 0 1rem;
    }

    .sidebar-wrapper .sidebar-footer .messages .message-content {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

        .sidebar-wrapper .sidebar-footer .messages .message-content .pic {
            width: 40px;
            height: 40px;
            overflow: hidden;
        }

            .sidebar-wrapper .sidebar-footer .messages .message-content .pic img {
                -o-object-fit: cover;
                object-fit: cover;
                height: 100%;
            }

        .sidebar-wrapper .sidebar-footer .messages .message-content .content {
            line-height: 1.6;
            padding-left: 5px;
            width: calc(100% - 40px);
        }

            .sidebar-wrapper .sidebar-footer .messages .message-content .content .message-title {
                font-size: 13px;
            }

            .sidebar-wrapper .sidebar-footer .messages .message-content .content .message-detail {
                font-size: 12px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

    .sidebar-wrapper .sidebar-footer .notifications .dropdown-item {
        padding: .25rem 1rem;
    }

    .sidebar-wrapper .sidebar-footer .notifications .notifications-header {
        padding: 0 1rem;
    }

    .sidebar-wrapper .sidebar-footer .notifications .notification-content {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

        .sidebar-wrapper .sidebar-footer .notifications .notification-content .icon {
            width: 40px;
            height: 40px;
        }

            .sidebar-wrapper .sidebar-footer .notifications .notification-content .icon i {
                width: 35px;
                height: 35px;
                text-align: center;
                line-height: 35px;
            }

        .sidebar-wrapper .sidebar-footer .notifications .notification-content .content {
            line-height: 1.6;
            padding-left: 5px;
            width: calc(100% - 40px);
        }

            .sidebar-wrapper .sidebar-footer .notifications .notification-content .content .notification-time {
                font-size: .7rem;
                color: #828282;
            }

            .sidebar-wrapper .sidebar-footer .notifications .notification-content .content .notification-detail {
                font-size: 12px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }

    .sidebar-wrapper .sidebar-footer .badge-sonar {
        display: inline-block;
        background: #d86703;
        border-radius: 50%;
        height: 8px;
        width: 8px;
        position: absolute;
        top: 0;
    }

        .sidebar-wrapper .sidebar-footer .badge-sonar:after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            border: 2px solid #d86703;
            opacity: 0;
            border-radius: 50%;
            width: 100%;
            height: 100%;
            -webkit-animation: sonar 1.5s infinite;
            animation: sonar 1.5s infinite;
        }

body {
    font-size: .9rem;
}

/*----------------page-wrapper----------------*/
.page-wrapper {
    height: 100vh;
}

    .page-wrapper .theme {
        width: 40px;
        height: 40px;
        display: inline-block;
        margin: 2px;
        background-size: cover;
    }

        .page-wrapper .theme.selected {
            border: 2px solid #00c7ff;
        }

        .page-wrapper .theme.default-theme {
            background: #1d1d1d;
        }

        .page-wrapper .theme.chiller-theme {
            background: #374140;
        }

        .page-wrapper .theme.grasp-theme {
            background: #007BFF;
        }

        .page-wrapper .theme.legacy-theme {
            background: #2e333c;
        }

        .page-wrapper .theme.ice-theme {
            background: #3a4d56;
        }

        .page-wrapper .theme.cool-theme {
            background: #46454c;
        }

        .page-wrapper .theme.light-theme {
            background: #ececec;
        }

    .page-wrapper .page-content {
        display: inline-block;
        width: 100%;
        -webkit-transition: padding-left .3s ease;
        transition: padding-left .3s ease;
        overflow-x: hidden;
    }

        .page-wrapper .page-content .overlay {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 998;
            background: #000;
            opacity: .5;
            display: none;
        }

    .page-wrapper.toggled .sidebar-wrapper {
        left: 0px;
    }

@media screen and (min-width: 768px) {
    .page-wrapper.toggled .page-content {
        padding-left: 280px;
    }
}

@media screen and (max-width: 768px) {
    .page-wrapper.toggled .page-content .overlay {
        display: block;
    }
}

@media screen and (min-width: 768px) {
    .page-wrapper.toggled.pinned .page-content {
        padding-left: 80px;
    }
}

.page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper {
    width: 80px;
}

    .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header {
        padding: 10px;
    }

        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header .user-pic {
            margin: 0 auto;
            width: 50px;
            float: none;
        }

            .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header .user-pic img {
                margin: auto;
            }

        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-search input,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-header .user-info,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-menu .header-menu,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-menu .sidebar-submenu,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-menu ul > li > a > span,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-menu ul > li > a::after,
        .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-footer > div:not(.pinned-footer) {
            display: none !important;
        }

    .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-search .input-group-text {
        height: 35px;
    }

    .page-wrapper.pinned:not(.sidebar-hovered) .sidebar-wrapper .sidebar-footer > div.pinned-footer {
        display: block;
    }

.page-wrapper .mCSB_scrollTools {
    width: 6px;
}

.page-wrapper .mCSB_inside > .mCSB_container {
    margin-right: 0px;
}

/*----------sidebar background images --------------*/
.sidebar-bg.bg1 .sidebar-wrapper {
    background-image: url(../img/bg1.jpg);
}

.sidebar-bg.bg2 .sidebar-wrapper {
    background-image: url(../img/bg2.jpg);
}

.sidebar-bg.bg3 .sidebar-wrapper {
    background-image: url(../img/bg3.jpg);
}

.sidebar-bg.bg4 .sidebar-wrapper {
    background-image: url(../img/bg4.jpg);
}

[data-bg="bg1"] {
    background-image: url(../img/bg1.jpg);
}

[data-bg="bg2"] {
    background-image: url(../img/bg2.jpg);
}

[data-bg="bg3"] {
    background-image: url(../img/bg3.jpg);
}

[data-bg="bg4"] {
    background-image: url(../img/bg4.jpg);
}

/*---- border-radius ------*/
.border-radius-on .sidebar-header .user-pic {
    border-radius: 12px;
}

.border-radius-on .badge {
    border-radius: 8px;
}

.border-radius-on .sidebar-menu ul li i {
    border-radius: 4px;
}

.border-radius-on .sidebar-footer .dropdown-menu {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

    .border-radius-on .sidebar-footer .dropdown-menu .notification-content i,
    .border-radius-on .sidebar-footer .dropdown-menu .message-content .pic {
        border-radius: 4px;
    }

.border-radius-on .sidebar-search input {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.border-radius-on .sidebar-search .input-group-append .input-group-text {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}


.list-thumbnail {
    border-radius: .1rem !important;
    padding: 0 !important;
    border: initial !important;
    height: auto !important;
    max-width: unset !important;
    height: 175px !important;
    object-fit: cover !important;
    width: 220px !important;
}

.badge-top-right {
    top: 8px;
    right: -7px;
}


.mgdetailarea {
    background: #fff;
    box-shadow: 0px 3px 5px rgb(0 0 0 / 10%);
    border-radius: 5px;
    border: 1px solid #d3cece;
    margin-bottom: 10px !important;
    margin-top: 30px !important;
    /*position: relative;*/
    width: 100%;
}

.mgPonameBox {
    position: absolute;
    right: 45px;
    margin-top: -10px;
    justify-content: end;
    flex-direction: row;
    z-index: 1;
}

.mgPoname {
    position: relative;
    height: 42px;
    width: auto;
    text-align: center;
    z-index: 9;
    margin: 0 23px;
}

    .mgPoname span:first-child, .mgPoname span:last-child {
        background: linear-gradient(0deg, rgba(14,14,14,1) 0%, rgba(86,151,84,1) 100%);
    }

    .mgPoname span:first-child, .mgPoname span:last-child {
        content: "";
        position: absolute;
        top: 0px;
        width: 30px;
        height: 10px;
        border-radius: 22px 22px 0 0;
        z-index: -4;
    }

    .mgPoname span:first-child {
        left: -16px;
    }

    .mgPoname span:last-child {
        right: -16px;
    }

    .mgPoname span:nth-child(2) {
        position: relative;
        float: left;
        width: 100%;
        padding: 0 25px;
        color: #fff;
        text-align: center;
        font-size: 14px;
        line-height: 32px;
        -webkit-transform: perspective(100px) rotateX(-20deg);
        -moz-transform: perspective(100px) rotateX(-20deg);
        -o-transform: perspective(100px) rotateX(-20deg);
        -ms-transform: perspective(100px) rotateX(-20deg);
        transform: perspective(100px) rotateX(-20deg);
        border-radius: 0 0 15px 15px;
        box-shadow: 0px 5px 6px rgb(68 119 66 / 25%);
        background: linear-gradient(0deg, rgba(68,119,66,1) 0%, rgba(86,151,84,1) 60%, rgba(131,195,128,1) 85%, rgba(76,133,74,1) 100%);
    }

.PonameTop {
    top: 0px;
    position: fixed;
    animation: beat 1s infinite alternate;
    transform-origin: center;
}

@keyframes beat {
    to {
        transform: scale(1.4);
    }
}

.stamp {
    transform: rotate(12deg);
    color: #555;
    font-size: 2rem;
    font-weight: 700;
    border: 0.25rem solid #555;
    display: inline-block;
    padding: 0.25rem 1rem;
    text-transform: uppercase;
    border-radius: 1rem;
    font-family: 'Courier';
    -webkit-mask-image: url('../img/grunge.png');
    -webkit-mask-size: 944px 604px;
    mix-blend-mode: multiply;
    position: absolute;
    right: 2rem;
}

.folder * {
    width: 110px;
}

.folder {
    float: left;
    width: 100px;
    height: 152px;
    margin-right: 50px;
    margin-bottom: 20px;
    border-radius: 2px;
    cursor: pointer;
}

    .folder:hover h1 {
        display: none;
    }

    .folder:hover p.cooltip {
        opacity: 1;
        top: 0;
    }

    .folder * {
        text-align: center;
    }

    .folder i, .folder svg {
        margin: 0;
        font-size: 100px;
        color: #ffd400; /*#607D8B;*/
    }

    .folder h1 {
        position: relative;
        display: block;
        /*top: -75px;*/
        font-size: 20px;
        font-weight: 400;
    }

    .folder p.cooltip {
        position: relative;
        top: 5px;
        left: -50%;
        margin-left: 35px;
        background: #212121;
        font-size: 15px;
        color: white;
        border-radius: 4px;
        padding: 10px 20px;
        padding-right: 30px;
        /*width: 100px;*/
        width: max-content;
        opacity: 0;
    }

        .folder p.cooltip:before {
            content: '';
            position: absolute;
            display: block;
            top: -4px;
            left: 50%;
            margin-left: -5px;
            height: 10px;
            width: 10px;
            border-radius: 2px;
            background-color: #212121;
            transform: rotate(45deg);
        }

.modal.left .modal-dialog,
.modal.right .modal-dialog {
    position: fixed;
    margin: auto;
    width: 320px;
    height: 100%;
    -webkit-transform: translate3d(0%, 0, 0);
    -ms-transform: translate3d(0%, 0, 0);
    -o-transform: translate3d(0%, 0, 0);
    transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content,
.modal.right .modal-content {
    height: 100%;
    overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
    padding: 15px 15px 80px;
}

/*Left*/
.modal.left.fade .modal-dialog {
    left: -320px;
    -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
    -o-transition: opacity 0.3s linear, left 0.3s ease-out;
    transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.in .modal-dialog {
    left: 0;
}

/*Right*/
.modal.right.fade .modal-dialog {
    right: 0px /*-320px*/;
    -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
    -o-transition: opacity 0.3s linear, right 0.3s ease-out;
    transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.in .modal-dialog {
    right: 0;
}

/* ----- MODAL STYLE ----- */
.modal-content {
    border-radius: 0;
    border: none;
}

.modal-header {
    border-bottom-color: #EEEEEE;
    background-color: #FAFAFA;
}

.loaderanim {
    animation: loader 1.2s linear infinite;
}
